# TaxSessionsPublicController_Fields

Returns the list of available Tax Session fields and their data types.

`GET /api/v1/TaxSessions/Fields`

**API:** Excise Platform API
**Tag:** Tax Sessions
**API Version:** v1
**Base URL:** https://excise.avalara.com
**Accepts:** `application/json`
**Authentication:** Basic (username + license key)

Source: https://developer.avalara.com/products/excise/api/methods/Tax%20Sessions/TaxSessionsPublicController_Fields/

## Description

Returns metadata describing fields that can be requested using the fields parameter in Tax
Sessions APIs (GetByHeader, GLReconDetail, GLReconSummary). Use this to discover valid field
names for the fields parameter. Field names are case sensitive.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-company-id` | integer | header | Yes | Company ID that owns the data. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see Client Headers. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Returns the list of Tax Session fields and their data types. | `Avalara.Excise.Common.Contracts.Services.RestTaxSessionFieldsResponse` |
| 401 | Authentication credentials are incorrect. |  |

### 200 Response: `Avalara.Excise.Common.Contracts.Services.RestTaxSessionFieldsResponse`

Response returned by the Tax Sessions Fields endpoint, containing all available
tax session field names and their data types. Also provides shared helper methods
for parsing and validating field name parameters.

| Property | Type | Required | Description |
|---|---|---|---|
| `Data` | Avalara.Excise.Common.Contracts.Services.RestTaxSessionFieldDefinition[] | No | The list of available tax session fields and their data types. |

## Example Request

```bash
curl -X GET "https://excise.avalara.com/api/v1/TaxSessions/Fields" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```